/*
 * Copyright (C) 2011 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.example.android.cubesampleview;

import android.app.Activity;
import android.os.Bundle;
import android.view.MotionEvent;

public class CubeSampleViewActivity extends Activity {

    private CubeSampleView mView;

    @Override
	public boolean onTouchEvent(MotionEvent event) {
		// TODO Auto-generated method stub
//		return super.onTouchEvent(event);
    	if (event.getAction() == MotionEvent.ACTION_DOWN)
    	{
    		int ax = (int)event.getX();
    		int ay = (int)event.getY();

    		CubeSampleRenderer.s_touch_x = ax;
    		CubeSampleRenderer.s_touch_y = ay;
    	}
    	if (event.getAction() == MotionEvent.ACTION_MOVE)
    	{
    		int ax = (int)event.getX();
    		int ay = (int)event.getY();

    		CubeSampleRenderer.s_touch_x = ax;
    		CubeSampleRenderer.s_touch_y = ay;
    	}
    	
    	return true;
	}

	@Override
    protected void onCreate(Bundle icicle) {
        super.onCreate(icicle);
        mView = new CubeSampleView(getApplication());
        setContentView(mView);
    }

    @Override
    protected void onPause() {
        super.onPause();
        mView.onPause();
    }

    @Override
    protected void onResume() {
        super.onResume();
        mView.onResume();
    }
}
